import sys
from datetime import datetime, date


for n, line in enumerate(sys.stdin):
    if n == 0:
        print(line)
        continue
    line = line.strip()
    if line.startswith("#"):
        continue
    fields = line.split(';')
    d, p, div = fields[:3]
    d = d.split('.')
    month = int(d[1]) if d[1] != '1' else 10
    d = datetime(year=int(d[0]), month=month, day=1).date()
    print(f"{d},{p},{div},{','.join(fields[3:])}")